FAQ
eclipse plugin build is broken with current eclipse versions
------------------------------------------------------------

Key: HADOOP-3884
URL: https://issues.apache.org/jira/browse/HADOOP-3884
Project: Hadoop Core
Issue Type: Bug
Components: contrib/eclipse-plugin
Reporter: Doug Cutting
Priority: Blocker
Fix For: 0.18.0


Eclipse plugin build is broken with current versions of Eclipse.

The problem seems to be that the constructor for org.eclipse.core.runtime.Status has changed.


--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Search Discussions

  • Doug Cutting (JIRA) at Jul 31, 2008 at 9:56 pm
    [ https://issues.apache.org/jira/browse/HADOOP-3884?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

    Doug Cutting updated HADOOP-3884:
    ---------------------------------

    Attachment: HADOOP-3744.patch

    Here is a patch that fixes the build, but may not in fact be correct.

    Can an Eclipse user test this?
    eclipse plugin build is broken with current eclipse versions
    ------------------------------------------------------------

    Key: HADOOP-3884
    URL: https://issues.apache.org/jira/browse/HADOOP-3884
    Project: Hadoop Core
    Issue Type: Bug
    Components: contrib/eclipse-plugin
    Reporter: Doug Cutting
    Priority: Blocker
    Fix For: 0.18.0

    Attachments: HADOOP-3744.patch


    Eclipse plugin build is broken with current versions of Eclipse.
    The problem seems to be that the constructor for org.eclipse.core.runtime.Status has changed.
    --
    This message is automatically generated by JIRA.
    -
    You can reply to this email to add a comment to the issue online.
  • Doug Cutting (JIRA) at Jul 31, 2008 at 9:56 pm
    [ https://issues.apache.org/jira/browse/HADOOP-3884?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12618872#action_12618872 ]

    Doug Cutting commented on HADOOP-3884:
    --------------------------------------

    I see three options:
    # update the plugin code to work with more recent releases
    # do not include a pre-built eclipse plugin in 0.18.0
    # identify which old release the eclipse plugin does compile with, and use that in 0.18.0

    In any case, we should document which Eclipse release the plugin works with.

    eclipse plugin build is broken with current eclipse versions
    ------------------------------------------------------------

    Key: HADOOP-3884
    URL: https://issues.apache.org/jira/browse/HADOOP-3884
    Project: Hadoop Core
    Issue Type: Bug
    Components: contrib/eclipse-plugin
    Reporter: Doug Cutting
    Priority: Blocker
    Fix For: 0.18.0

    Attachments: HADOOP-3744.patch


    Eclipse plugin build is broken with current versions of Eclipse.
    The problem seems to be that the constructor for org.eclipse.core.runtime.Status has changed.
    --
    This message is automatically generated by JIRA.
    -
    You can reply to this email to add a comment to the issue online.
  • Doug Cutting (JIRA) at Aug 1, 2008 at 6:02 pm
    [ https://issues.apache.org/jira/browse/HADOOP-3884?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12619086#action_12619086 ]

    Doug Cutting commented on HADOOP-3884:
    --------------------------------------

    Unless someone objects, I will commit this patch later today, to fix the build of the eclipse plugin and perhaps even fix the plugin. Then I'll roll a 0.18.0 candidate release build.
    eclipse plugin build is broken with current eclipse versions
    ------------------------------------------------------------

    Key: HADOOP-3884
    URL: https://issues.apache.org/jira/browse/HADOOP-3884
    Project: Hadoop Core
    Issue Type: Bug
    Components: contrib/eclipse-plugin
    Reporter: Doug Cutting
    Priority: Blocker
    Fix For: 0.18.0

    Attachments: HADOOP-3744.patch


    Eclipse plugin build is broken with current versions of Eclipse.
    The problem seems to be that the constructor for org.eclipse.core.runtime.Status has changed.
    --
    This message is automatically generated by JIRA.
    -
    You can reply to this email to add a comment to the issue online.
  • Doug Cutting (JIRA) at Aug 1, 2008 at 10:47 pm
    [ https://issues.apache.org/jira/browse/HADOOP-3884?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

    Doug Cutting resolved HADOOP-3884.
    ----------------------------------

    Resolution: Fixed
    Assignee: Doug Cutting

    I just committed this.
    eclipse plugin build is broken with current eclipse versions
    ------------------------------------------------------------

    Key: HADOOP-3884
    URL: https://issues.apache.org/jira/browse/HADOOP-3884
    Project: Hadoop Core
    Issue Type: Bug
    Components: contrib/eclipse-plugin
    Reporter: Doug Cutting
    Assignee: Doug Cutting
    Priority: Blocker
    Fix For: 0.18.0

    Attachments: HADOOP-3744.patch


    Eclipse plugin build is broken with current versions of Eclipse.
    The problem seems to be that the constructor for org.eclipse.core.runtime.Status has changed.
    --
    This message is automatically generated by JIRA.
    -
    You can reply to this email to add a comment to the issue online.
  • Hudson (JIRA) at Aug 22, 2008 at 12:41 pm
    [ https://issues.apache.org/jira/browse/HADOOP-3884?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12624791#action_12624791 ]

    Hudson commented on HADOOP-3884:
    --------------------------------

    Integrated in Hadoop-trunk #581 (See [http://hudson.zones.apache.org/hudson/job/Hadoop-trunk/581/])
    eclipse plugin build is broken with current eclipse versions
    ------------------------------------------------------------

    Key: HADOOP-3884
    URL: https://issues.apache.org/jira/browse/HADOOP-3884
    Project: Hadoop Core
    Issue Type: Bug
    Components: contrib/eclipse-plugin
    Reporter: Doug Cutting
    Assignee: Doug Cutting
    Priority: Blocker
    Fix For: 0.18.0

    Attachments: HADOOP-3744.patch


    Eclipse plugin build is broken with current versions of Eclipse.
    The problem seems to be that the constructor for org.eclipse.core.runtime.Status has changed.
    --
    This message is automatically generated by JIRA.
    -
    You can reply to this email to add a comment to the issue online.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupcommon-dev @
categorieshadoop
postedJul 31, '08 at 9:53p
activeAug 22, '08 at 12:41p
posts6
users1
websitehadoop.apache.org...
irc#hadoop

1 user in discussion

Hudson (JIRA): 6 posts

People

Translate

site design / logo © 2022 Grokbase